Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » 'Cloud' example build on 3.5RC2
'Cloud' example build on 3.5RC2 [message #63571] Thu, 28 May 2009 14:21 Go to next message
michael.sacarny is currently offline michael.sacarnyFriend
Messages: 103
Registered: July 2009
Location: USA
Senior Member
I built the cloud example
( http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclipse.html)
on SDK/Delta 3.5RC2 to help plan the conversion of our 3.4.1 RCP Product
scripts to simpler, 3.5 scripts. JAVA_HOME =<path to jdk1.6.0_07>) Here is
what I had to modify for a good build:
a) Add org.eclipse.equinox.p2.repository to Product, Dependencies, to
satisfy requirements.
b) Update product build.properties: JavaSE-1.6=${java.home}/lib/rt.jar

Once I did that, buildProduct.xml built the Product, however there were
troubling console entries:

mirrorArchive:
[p2.mirror] Problems resolving provisioning plan.
[p2.mirror] Unable to satisfy dependency from
org.eclipse.equinox.executable.feature.group
3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
org.eclipse.equinox.launcher.gtk.solaris.sparc [1.0.200.v20090519].
[p2.mirror] Unable to satisfy dependency from
org.eclipse.equinox.executable.feature.group
3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
org.eclipse.equinox.launcher.gtk.solaris.x86 [1.0.200.v20090519].
[p2.mirror] Unable to satisfy dependency from
org.eclipse.equinox.executable.feature.group
3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
org.eclipse.equinox.launcher.motif.solaris.sparc [1.0.200.HEAD].
:
:

and this:

runDirector:
[echo] This application is deprecated. Please use the
org.eclipse.equinox.p2.director application.
[echo] Installing
org.eclipse.equinox.p2.examples.rcp.cloud.product 1.0.0.200905281004.

Question 1: What is the significance of the provisioning plan errors? Any
workaround?
Question 2: What is the significance of runDirector using the deprecated
application. Is it safe to use the deprecated application going forward?

Thanks,
MSacarny
Re: 'Cloud' example build on 3.5RC2 [message #63802 is a reply to message #63571] Mon, 01 June 2009 19:13 Go to previous message
Andrew Niefer is currently offline Andrew NieferFriend
Messages: 990
Registered: July 2009
Senior Member
Neither of these items are anything that is a real problem.

1) When mirroring an IU (org.eclipse.equinox.executable.feature.group
here), the mirror task follows requirements and also mirrors any
required IUs. It ends up logging these warnings when it can't find an
IU matching a requirement. These missing requirements are not
necessarily a problem, particularly if they are fragments for platforms
that you aren't building. (They may be missing for exactly that reason,
you aren't building those platforms). I think the logging may be a
little over-zealous here.

2) Starting in 3.5M6, PDE/Build started automatically calling the
director application org.eclipse.equinox.p2.director.app.application.
Somewhere around M7, a new application org.eclipse.equinox.p2.director
was created (https://bugs.eclipse.org/bugs/show_bug.cgi?id=268138).
Build just did not have time to look at updating to the new application.
We'll probably look at this in 3.6

-Andrew

MSacarny wrote:
> I built the cloud example
> ( http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclipse.html)
> on SDK/Delta 3.5RC2 to help plan the conversion of our 3.4.1 RCP Product
> scripts to simpler, 3.5 scripts. JAVA_HOME =<path to jdk1.6.0_07>) Here
> is what I had to modify for a good build:
> a) Add org.eclipse.equinox.p2.repository to Product, Dependencies, to
> satisfy requirements.
> b) Update product build.properties: JavaSE-1.6=${java.home}/lib/rt.jar
> Once I did that, buildProduct.xml built the Product, however there were
> troubling console entries:
>
> mirrorArchive:
> [p2.mirror] Problems resolving provisioning plan.
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.gtk.solaris.sparc [1.0.200.v20090519].
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.gtk.solaris.x86 [1.0.200.v20090519].
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.motif.solaris.sparc [1.0.200.HEAD].
> :
> :
>
> and this:
>
> runDirector:
> [echo] This application is deprecated. Please use the
> org.eclipse.equinox.p2.director application.
> [echo] Installing
> org.eclipse.equinox.p2.examples.rcp.cloud.product 1.0.0.200905281004.
>
> Question 1: What is the significance of the provisioning plan errors?
> Any workaround?
> Question 2: What is the significance of runDirector using the deprecated
> application. Is it safe to use the deprecated application going forward?
>
> Thanks,
> MSacarny
Re: 'Cloud' example build on 3.5RC2 [message #598010 is a reply to message #63571] Mon, 01 June 2009 19:13 Go to previous message
Andrew Niefer is currently offline Andrew NieferFriend
Messages: 990
Registered: July 2009
Senior Member
Neither of these items are anything that is a real problem.

1) When mirroring an IU (org.eclipse.equinox.executable.feature.group
here), the mirror task follows requirements and also mirrors any
required IUs. It ends up logging these warnings when it can't find an
IU matching a requirement. These missing requirements are not
necessarily a problem, particularly if they are fragments for platforms
that you aren't building. (They may be missing for exactly that reason,
you aren't building those platforms). I think the logging may be a
little over-zealous here.

2) Starting in 3.5M6, PDE/Build started automatically calling the
director application org.eclipse.equinox.p2.director.app.application.
Somewhere around M7, a new application org.eclipse.equinox.p2.director
was created (https://bugs.eclipse.org/bugs/show_bug.cgi?id=268138).
Build just did not have time to look at updating to the new application.
We'll probably look at this in 3.6

-Andrew

MSacarny wrote:
> I built the cloud example
> ( http://aniefer.blogspot.com/2009/03/building-p2-rcp-products -in-eclipse.html)
> on SDK/Delta 3.5RC2 to help plan the conversion of our 3.4.1 RCP Product
> scripts to simpler, 3.5 scripts. JAVA_HOME =<path to jdk1.6.0_07>) Here
> is what I had to modify for a good build:
> a) Add org.eclipse.equinox.p2.repository to Product, Dependencies, to
> satisfy requirements.
> b) Update product build.properties: JavaSE-1.6=${java.home}/lib/rt.jar
> Once I did that, buildProduct.xml built the Product, however there were
> troubling console entries:
>
> mirrorArchive:
> [p2.mirror] Problems resolving provisioning plan.
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.gtk.solaris.sparc [1.0.200.v20090519].
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.gtk.solaris.x86 [1.0.200.v20090519].
> [p2.mirror] Unable to satisfy dependency from
> org.eclipse.equinox.executable.feature.group
> 3.3.200.v20090521-1800-7M-Fm-FI3UouOe61h3BYGC to
> org.eclipse.equinox.launcher.motif.solaris.sparc [1.0.200.HEAD].
> :
> :
>
> and this:
>
> runDirector:
> [echo] This application is deprecated. Please use the
> org.eclipse.equinox.p2.director application.
> [echo] Installing
> org.eclipse.equinox.p2.examples.rcp.cloud.product 1.0.0.200905281004.
>
> Question 1: What is the significance of the provisioning plan errors?
> Any workaround?
> Question 2: What is the significance of runDirector using the deprecated
> application. Is it safe to use the deprecated application going forward?
>
> Thanks,
> MSacarny
Previous Topic:Language Pack Eclipse 3.4.2
Next Topic:'Cloud' PDE style on our product in 3.5RC2
Goto Forum:
  


Current Time: Fri Jun 25 11:18:40 GMT 2021

Powered by FUDForum. Page generated in 0.02052 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top